### Method

# GimpUi ProcedureDialog get_color_widget

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_color_widget (
      GimpProcedureDialog* dialog,
      const gchar* property,
      gboolean editable,
      GimpColorAreaType type
    )

#### Description [src]

Creates a new widget for `property` which must necessarily be a `GimpRGB` property. This must be used instead of `gimp_procedure_dialog_get_widget()` when you want a `GimpLabelColor` which is not customizable for an RGB property, or when to set a specific `type`.

If a widget has already been created for this procedure, it will be returned instead (whatever its actual widget type).

#### Parameters

`property` | `const gchar*`
| Name of the `GimpRGB` property to build a widget for. It must be a property of the `GimpProcedure` `dialog` has been created for.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`editable` | `gboolean`
| Whether the color can be edited or is only for display.
`type` | `GimpColorAreaType`
| The `GimpColorAreaType`.

#### Return value

Returns: | `GtkWidget`
| A `GimpLabelColor` representing `property`. The object belongs to `dialog` and must not be freed.
| The data is owned by the instance.